<template>
    <div id="category">
      <!--头部-->
      <!-- <Header/> -->
      <div class="header-title">
        <span class="header-title-return-back" @click="returnClick"><van-icon name="arrow-left" /></span>
        <span class="header-title-name-bold">欠税公告</span>
      </div>
  
      <div style="font-size: 13px;margin-top: 10px;margin-left: 5px;">共<span style="color: #DB2C2C;">{{ total }}</span>条欠税公告</div>
      <div class="manage-body" v-if="taxOweList.length !== 0">
        <div v-for="(item, index) in taxOweList" :key="index">
        <div class="fw-bold mg-lt-16">欠税</div>
        <van-cell-group>
          <div class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">欠税税种：{{ item.title }}</div>
          <div class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">欠税余额(元)：{{ item.amount }}</div>
          <div class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">当前新发生的欠税金额：{{ item.newAmount }}</div>
          <div class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">发布单位：{{ item.issuedBy }}</div>
          <div style="padding-bottom: 10px" class="fs-14 mg-lt-16 mg-bt-5 mg-tp-8">发布日期：{{ item.publishDate }}</div>
        </van-cell-group>
        </div>
      </div>
    </div>

  </template>

  <script>
  import { Button, Col, Row, Icon, Field } from 'vant';

  import {postQueryTaxOwe} from "@/service/api/customerDashboard";


  export default {
    name: "TaxArrearsNotice",

    data() {
      return {
        taxOweList: [],
        total: '',
        currentPage: 1,
        loading: false,
        isEndLoading: false,
      }
    },
    components: {
      VanButton: Button,
      VanRow: Row,
      VanCol: Col,
      VanIcon: Icon,
      VanField: Field,
    },
    created() {
      this.postTaxOwe();
    },
    mounted() {
      window.addEventListener('scroll', this.scrollBottom);
    },
    destroyed() {
      window.removeEventListener('scroll', this.scrollBottom)
    },
    methods: {
      // 获取欠税公告
      async postTaxOwe(){
        let result = await postQueryTaxOwe({companyId: sessionStorage.getItem('companyId'), pageNum: this.currentPage, pageSize: 10});
        // this.taxOweList = result.records;
        this.total = result.total;
        if (this.loading) {
          this.taxOweList = this.taxOweList.concat(result.records);
        } else {
          this.taxOweList = result.records;
        }
        if (this.taxOweList.length < result.total) {
          this.isEndLoading = false;
        } else {
          this.isEndLoading = true;
        }
        this.loading = false;
      },
      returnClick() {
        this.$router.go(-1)
      },

      scrollBottom() {
        let scrollTop = document.documentElement.scrollTop || document.body.scrollTop  //页面滚动的高度
        let clientHeight = document.documentElement.clientHeight  //可视区域高度
        let scrollHeight = document.documentElement.scrollHeight  //可滚动内容的高度
        let bottomOfWindow = scrollTop + clientHeight + 1000 >= scrollHeight    //是否滚动到底部
        //loading 和 this.tableData.length和this.total是自己的判断条件
        if (scrollTop !== 0 && bottomOfWindow && !this.loading && this.total > 10) {
          this.loading = true;
          this.currentPage += 1;
          this.postTaxOwe();
        }
      },

    },
  }
  </script>
  
  <style lang="less" scoped>
  
  .header-title {
    height: 46px;
    width: 100%;
    background-color: #fff;
    text-align: center;
  }
  .header-title-name {
    font-weight: bold;
    line-height: 46px;
    align-items: center;
    justify-content: center;
    display: inline-flex;
  }
  .header-title-return {
    position: absolute;
    top: 13px;
    left: 20px;
    font-size: 15px;
  }
  .manage-body {
    margin-top: 10px;
    background-color: #fff;
    padding: 20px 10px 0px 10px;
  }
  /deep/ .van-nav-bar__text {
    color: gray !important;
    font-weight: bold;
  }
  .icon-mg {
    margin-left: 3px;
  }
  /deep/ .van-cell__value {
    bottom: 5px;
  }
  </style>../../service/api/index